from django.shortcuts import redirect
from django.urls import path
from django.urls.base import reverse
from .search import SEARCH_MY_OPEN_TASKS
from . import views

urlpatterns = [
    path('', lambda request: redirect(reverse('patt-commonfilter', kwargs={'common_filter_id': SEARCH_MY_OPEN_TASKS}), permanent=False)),
    path('profile', views.patt_profile, name='patt-profile'),
    #
    # views and urls
    #
    path('tasklist/', views.patt_tasklist, name='patt-tasklist'),
    path('projectlist/', views.patt_projectlist, name='patt-projectlist'),
    path('taskview/<int:task_id>/', views.patt_taskview, name='patt-taskview'),
    path('helpview/', views.patt_helpview, name='patt-helpview'),
    path('helpview/<str:page>', views.patt_helpview, name='patt-helpview'),
    path('tasknew/', views.patt_tasknew, name='patt-tasknew'),
    path('projectnew/', views.patt_projectnew, name='patt-projectnew'),
    path('taskedit/<int:task_id>/', views.patt_taskedit, name='patt-taskedit'),
    path('projectedit/<int:project_id>/', views.patt_projectedit, name='patt-projectedit'),
    path('commentnew/<int:task_id>/', views.patt_commentnew, name='patt-commentnew'),
    path('commentedit/<int:task_id>/<int:comment_id>/', views.patt_commentedit, name='patt-commentedit'),
    path('filteredit/', views.patt_filteredit, name='patt-filternew'),
    path('filteredit/<int:search_id>/', views.patt_filteredit, name='patt-filteredit'),
    path('easysearch/', views.patt_easysearch, name='patt-easysearch'),
    path('tasklist/user_filter/<int:user_filter_id>/', views.patt_tasklist, name='patt-userfilter'),
    path('tasklist/common_filter/<int:common_filter_id>', views.patt_tasklist, name='patt-commonfilter'),
    #
    path('tasklist/search/', views.patt_tasklist, name='search'),
]
